Check SMS balance

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This web service allows you to retrieve your balance by SMS.
The result gives you your balance in Premium and LowCost.

Special parameters

NameTypeDescription
with_detailsboolean(optional) Adds the details of all packs in your portfolio.
country_codestring(optional) Code of the country where you want to get your balance for. You must also fill in the product_name.
product_namestring(optional) Name of the product for which you want to get your balance (sms_low_cost, sms_premium, voice_sms, hlr). You must also fill in the country_code.

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

{
   "amount": 204,
   "unit": "sms_premium",
   "wallet_packs":
   [
     {
   "wallet_pack_id": "bacf3d83-1524-13eb-a5e2-0242af120002",
   "credit": 12.54,
   "expiration_date": "2030-10-23T13:41:46+02:00"
     }
   ]
}
Query Params
string
Defaults to null
string
enum
Defaults to null
string
Defaults to null
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

401

Unauthorized.

403

Forbidden to view.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json